Description

The checkbox widget adds a single box; it would seem more appropriate to add two radio buttons, with their respective values (e.g.

Yes/No) besides.

IMHO a checkbox is a non-exclusive choice among a list, a radio button is an alternative between two items. If this is true, the current

behaviour of the widget is one of a radio button, so a radio button widget would be better.

History

#1 - 2013-11-11 09:17 AM - Jürgen Fischer

Um, using something other than a checkbox for a checkbox doesn't make any sense to me.

#2 - 2013-11-11 09:21 AM - Paolo Cavallini

That's the point: IMHO the current behaviour is that of a radio button, not of a checkbox.

See e.g. http://en.wikipedia.org/wiki/Radio_button and http://en.wikipedia.org/wiki/Check_box

#3 - 2013-11-11 09:30 AM - Jürgen Fischer

Paolo Cavallini wrote:

That's the point: IMHO the current behaviour is that of a radio button, not of a checkbox.

See e.g. http://en.wikipedia.org/wiki/Radio_button and http://en.wikipedia.org/wiki/Check_box

Then what's you point?  Currently you have a checkbox edit type that mimics a checkbox.  And that checkbox can two states for which you can define the

attribute value that should represent either case.

#4 - 2013-11-11 09:46 AM - Paolo Cavallini

Not a big deal, agreed. The main thing is that it is not clear to the user what happens if he clicks or not:

field1  |_|

while a checkbox with labels would be more obvious:

field1  O yes   O no
#5 - 2013-11-12 08:39 AM - Matthias Kuhn

-1, sorry

A checkbox as a widget that allows to choose between two states of an option is straight-forward and well-known to average users.

Two radio-buttons could be considered an alternative approach for the same but so could a combobox or a list widget.

IMO we should keep this one

(and if someone feels like implementing alternatives, feel free but checkbox should stay the default widget. And while he is doing this, please port the

widget type to the new API. Thank you :) )

#6 - 2013-11-12 08:46 AM - Jürgen Fischer

- Resolution set to invalid

- Status changed from Open to Rejected

The checkbox edit widget is there to produce checkboxes - hence the name.   Using anything else could be considered a bug.
